default:
  image: ruby:2.7.5

stages:
  - run
  - test

test:
  stage: test
  script:
    - gem install yamllint bundler
    - bundle install
    - bundle exec ruby create_issues.rb --dry-run
    - bundle exec ruby weekly_update/generate.rb --dry-run
    - yamllint config/*.yml

execute:
  stage: run
  only:
    - web
    - schedules
  script:
    - gem install bundler
    - bundle install
    - bundle exec ruby create_issues.rb
    - bundle exec ruby weekly_update/generate.rb
